## dh-rebar 0.0.4~bpo70+1

=== debian/changelog ===
dh-rebar (0.0.4~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Philipp Huebner <debalance@debian.org>  Mon, 06 Mar 2017 10:20:44 +0100

dh-rebar (0.0.4) unstable; urgency=low

  * Increased the information that is output by rebar. (Closes: #730340)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 28 Nov 2013 08:37:06 +0900

dh-rebar (0.0.3) unstable; urgency=low

  * Fix control of default package name.
  * Fix control for naem of erlang package.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 21 Aug 2013 09:07:23 +0900

dh-rebar (0.0.2) unstable; urgency=low

  * Fix Vcs-Git and Vcs-Browser field.
  * Change the turn of rebar_compile.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 06 Aug 2013 08:32:18 +0900

dh-rebar (0.0.1) unstable; urgency=low

  * Initial release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 3 Apr 2013 00:55:01 +0900

## dh-rebar 0.0.4

=== Makefile ===
DH_REBAR_DIR=usr/share/dh-rebar/
DH_DIR=usr/share/perl5/Debian/Debhelper/

build: man/dh_rebar.1
clean:
	rm -rf man

install:
	mkdir -p $(DESTDIR)/$(DH_REBAR_DIR)/template/
	mkdir -p $(DESTDIR)/$(DH_REBAR_DIR)/make/
	mkdir -p $(DESTDIR)/$(DH_DIR)/Buildsystem/
	mkdir -p $(DESTDIR)/$(DH_DIR)/Sequence/
	mkdir -p $(DESTDIR)/usr/bin/
	cp template/* $(DESTDIR)/$(DH_REBAR_DIR)/template/
	cp make/* $(DESTDIR)/$(DH_REBAR_DIR)/make/
	cp debhelper7/Buildsystem/* $(DESTDIR)/$(DH_DIR)/Buildsystem/
	cp debhelper7/Sequence/* $(DESTDIR)/$(DH_DIR)/Sequence/
	cp bin/dh_rebar $(DESTDIR)/usr/bin/

man/dh_rebar.1: bin/dh_rebar
	@if [ ! -d man ] ; then mkdir man; fi
	pod2man -c "dh_rebar" -r "dh_rebar" bin/dh_rebar man/dh_rebar.1

## dh-rebar 0.0.4+nmu1

=== debian/changelog ===
dh-rebar (0.0.4+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 14:16:02 +0100

=== debian/control ===
Source: dh-rebar
Section: devel
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-leofs/dh-rebar.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/dh-rebar.git;a=summary

Package: dh-rebar
Architecture: all
Depends: ${misc:Depends}, debhelper (>= 8.0.0), rebar
Description: helper tools for maintaining Erlang package which is using rebar
 This package contains helper tools for maintaining Erlang Debian package
 which is using rebar.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
%:
	dh $@

## dh-rebar 0.0.6~bpo11+1

=== debian/changelog ===
dh-rebar (0.0.6~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Sat, 11 Jun 2022 23:57:27 +0200

dh-rebar (0.0.6) unstable; urgency=medium

  * export REBAR_DEPS_PREFER_LIBS=TRUE (Closes: #1009653)
  * export ERL_COMPILER_OPTIONS=deterministic

 -- Philipp Huebner <debalance@debian.org>  Fri, 27 May 2022 22:55:55 +0200

dh-rebar (0.0.5) unstable; urgency=medium

  [ Benjamin Harris ]
  * Update standards version and fix vcs urls
  * Add rebar ct subcommand (Closes: #775510)

  [ Philipp Huebner ]
  * Change Maintainer to Debian Erlang Packagers
  * Add myself to Uploaders
  * Switch to debhelper compat level 13
  * Update debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Fri, 27 May 2022 20:57:51 +0200

## dh-rebar 0.0.6

=== debian/control ===
Source: dh-rebar
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>, Philipp Huebner <debalance@debian.org>
Section: devel
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/erlang-team/packages/dh-rebar.git
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/dh-rebar

Package: dh-rebar
Architecture: all
Depends: ${misc:Depends}, debhelper, rebar
Description: helper tools for maintaining Erlang packages that are built by rebar
 This package contains helper tools for maintaining Erlang Debian packages
 that are built by the Erlang build tool 'rebar'.

## dh-rebar 0.0.6build1

=== debian/changelog ===
dh-rebar (0.0.6build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 08 Dec 2025 22:54:34 +0100

## dh-rebar 0.0.7~exp1

=== debian/changelog ===
dh-rebar (0.0.7~exp1) experimental; urgency=medium

  * Team upload
  * Upload to experimental for testing Erlang 27.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 03 May 2024 18:25:48 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: dh-rebar
 Architecture: all
-Depends: ${misc:Depends}, debhelper, rebar
+Depends: ${misc:Depends}, debhelper, rebar (>= 2.6.4-5~), erlang-base (>= 1:27)
 Description: helper tools for maintaining Erlang packages that are built by rebar
  This package contains helper tools for maintaining Erlang Debian packages
  that are built by the Erlang build tool 'rebar'.
